<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>componentes</title>
</head>
<body>
    Instancia 1
    <div id="app">
        <p >{{titulo}}</p>
        <input type="text" placeholder="texto" v-model="titulo">
        <hr>

        <contador></contador>

    </div>
    <br>
    <hr>
  
    
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        Vue.component('contador',{
            template:"<button @click='numero++'>Contador {{numero}}</button>",
            data(){
                return{
                    numero: 0
                } 
            }

        })
        const app = new Vue({
            el:'#app',
            data: {

                titulo: "Instancia titulo"

            },
          
          
        })

      
    </script>
</body>
</html>